/* --------------------------------------------------------
 Generated by Lukman Hakim using sql2java (http://sql2java.sourceforge.net/ )
 jdbc driver used at code generation time: net.sourceforge.jtds.jdbc.Driver
 
 Author : Lukman Hakim (lukman.uki@gmail.com) 
 Date Created : 28/07/2017
 --------------------------------------------------------
*/
package com.portofolio.dto;

import javax.validation.constraints.NotNull;

import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
public class PangkatDto {

    @NotNull(message = "pangkatdto.namapangkat.notnull")
    private String namaPangkat;

    @NotNull(message = "pangkatdto.reportdisplay.notnull")
    private String reportDisplay;

    @NotNull(message = "pangkatdto.nourut.notnull")
    private Integer noUrut;

    //private Integer kdPangkatHead;

    private String kodeExternal;

    private String namaExternal;

    @NotNull(message = "pangkat.statusenabled.notnull")
    private Boolean statusEnabled;


}
